Skip to content
Koffeine's ESLint shareable config
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.editorconfig
.eslintrc.js
.gitignore
.npmignore
.npmrc
CHANGELOG.md
LICENSE
README.md
es5.js
es6+.js
package.json

README.md

eslint-config-koffeine

npm version devDependency Status peerDependency Status

Koffeine's ESLint shareable config

Installation

Use option --save-exact for npm install to make sure that ESLint and config rules match.

Install config

npm install eslint-config-koffeine --save-dev --save-exact

Install ESLint

Install the correct version of ESLint, which is listed by the command:

npm info eslint-config-koffeine peerDependencies

For example:

npm install eslint@5.16.0 --save-dev --save-exact

Usage

ES6+ config

Add the following to your .eslintrc.js file:

modules.exports = {
	extends: 'koffeine',
	...
};

ES5 config

Add the following to your .eslintrc.js file:

modules.exports = {
	extends: 'koffeine/es5',
	...
};

License

Copyright © 2017-2018 Kornél Horváth

Licensed under the MIT License.

You can’t perform that action at this time.